# YouTube Reporting API . media

## Instance Methods

Method for media download. Download is supported on the URI `/v1/media/{+name}?alt=media`.

Method for media download. Download is supported on the URI `/v1/media/{+name}?alt=media`.

### Method Details

`download(resourceName, x__xgafv=None)`

    Method for media download. Download is supported on the URI `/v1/media/{+name}?alt=media`.

    Args:
      resourceName: string, Name of the media that is being downloaded. See ReadRequest.resource_name. (required)
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # Media resource.
        "resourceName": "A String", # Name of the media resource.
      }

`download_media(resourceName, x__xgafv=None)`

    Method for media download. Download is supported on the URI `/v1/media/{+name}?alt=media`.

    Args:
      resourceName: string, Name of the media that is being downloaded. See ReadRequest.resource_name. (required)
      x__xgafv: string, V1 error format.

    Returns:
      The media object as a string.